From: Arthur Diniz <arthurbdiniz@gmail.com>
Date: Fri, 6 Dec 2024 16:49:03 +0000
Subject: Bump evanphx json-patch library to v5

Forwarded: not-needed
---
 scale/client_test.go            | 2 +-
 testing/fixture.go              | 2 +-
 util/csaupgrade/upgrade_test.go | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/scale/client_test.go b/scale/client_test.go
index 2b4a7a7..823365c 100644
--- a/scale/client_test.go
+++ b/scale/client_test.go
@@ -25,7 +25,7 @@ import (
 	"net/http"
 	"testing"
 
-	jsonpatch "gopkg.in/evanphx/json-patch.v4"
+	jsonpatch "github.com/evanphx/json-patch/v5"
 	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
 	"k8s.io/apimachinery/pkg/runtime"
 	"k8s.io/apimachinery/pkg/runtime/schema"
diff --git a/testing/fixture.go b/testing/fixture.go
index d288a3a..7baa800 100644
--- a/testing/fixture.go
+++ b/testing/fixture.go
@@ -25,7 +25,7 @@ import (
 	"strings"
 	"sync"
 
-	jsonpatch "gopkg.in/evanphx/json-patch.v4"
+	jsonpatch "github.com/evanphx/json-patch/v5"
 
 	apierrors "k8s.io/apimachinery/pkg/api/errors"
 	"k8s.io/apimachinery/pkg/api/meta"
diff --git a/util/csaupgrade/upgrade_test.go b/util/csaupgrade/upgrade_test.go
index de7369c..5cda61c 100644
--- a/util/csaupgrade/upgrade_test.go
+++ b/util/csaupgrade/upgrade_test.go
@@ -23,7 +23,7 @@ import (
 
 	"github.com/google/go-cmp/cmp"
 	"github.com/stretchr/testify/require"
-	jsonpatch "gopkg.in/evanphx/json-patch.v4"
+	jsonpatch "github.com/evanphx/json-patch/v5"
 	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
 	"k8s.io/apimachinery/pkg/apis/meta/v1/unstructured"
 	"k8s.io/apimachinery/pkg/util/sets"
